NSStruct::FootnoteInfo Struct Reference

Internal: low level a structure helping to store the footnote information. More...

`#include <NSStruct.hxx>`

## Public Member Functions

| FootnoteInfo ()
| constructor More...
bool | endNotes () const
| returns true if we have endnote More...
bool | resetNumberOnNewPage () const
| returns true if we have to reset index at the beginning of a page More...

## Public Attributes

int | m_flags
| the footnote flags More...
int | m_distToDocument
| the distance between the footnote and the document More...
int | m_distSeparator
| the distance between two footnotes ( or between a footnote and the line sep) More...
int | m_separatorLength
| the separator length More...
int | m_unknown
| a unknown value More...

## Friends

std::ostream & | operator<< (std::ostream &o, FootnoteInfo const &fnote)
| operator<<: prints data More...

## Detailed Description

Internal: low level a structure helping to store the footnote information.

## Constructor & Destructor Documentation

NSStruct::FootnoteInfo::FootnoteInfo | ( |  | ) |

inline

constructor

## Member Function Documentation

bool NSStruct::FootnoteInfo::endNotes | ( |  | ) | const

inline

returns true if we have endnote

Referenced by NSText::sendText().

bool NSStruct::FootnoteInfo::resetNumberOnNewPage | ( |  | ) | const

inline

returns true if we have to reset index at the beginning of a page

Referenced by NSText::sendText().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | FootnoteInfo const & | fnote
| ) |  |

friend

operator<<: prints data

## Member Data Documentation

int NSStruct::FootnoteInfo::m_distSeparator

the distance between two footnotes ( or between a footnote and the line sep)

Referenced by NSStruct::operator<<(), and NSParser::readINFO().

int NSStruct::FootnoteInfo::m_distToDocument

the distance between the footnote and the document

Referenced by NSStruct::operator<<(), and NSParser::readINFO().

int NSStruct::FootnoteInfo::m_flags

the footnote flags

Referenced by endNotes(), NSStruct::operator<<(), NSParser::readINFO(), and resetNumberOnNewPage().

int NSStruct::FootnoteInfo::m_separatorLength

the separator length

Referenced by NSStruct::operator<<(), and NSParser::readINFO().

int NSStruct::FootnoteInfo::m_unknown

a unknown value

Referenced by NSStruct::operator<<(), and NSParser::readINFO().

The documentation for this struct was generated from the following file:

- NSStruct.hxx